"""
This file is used to store constant values used in low level LCDTestLibrary display
screen manipulation.
"""

I2C_ADDR = 0x27  # I2C device address
LCD_WIDTH = 16  # Maximum characters per line

# Define some device constants
LCD_CHR = 1  # Mode - Sending data
LCD_CMD = 0  # Mode - Sending command

LCD_LINE_1 = 0x80  # LCDTestLibrary RAM address for the 1st line
LCD_LINE_2 = 0xC0  # LCDTestLibrary RAM address for the 2nd line
LCD_LINE_3 = 0x94  # LCDTestLibrary RAM address for the 3rd line
LCD_LINE_4 = 0xD4  # LCDTestLibrary RAM address for the 4th line

ENABLE = 0b00000100  # Enable bit

E_PULSE = 0.0002
E_DELAY = 0.0002
