*** Settings ***
Documentation   DHT11 sensor tests, in a keword driven format.
Library  ../DHT11TestLibrary.py

*** Variables ***
${PIN}          ${36}
${WRONG_PIN}    ${35}

*** Test Cases ***
Sensor shall return data under timeout
    [Setup]  Init_DHT11  ${PIN}
    DHT11 shall return sensor data  ${10}
    
Reading from not connected pin should fail
    [Setup]  Init_DHT11  ${WRONG_PIN}
    DHT11 shall fail reading from wrong pin
    
Read temperature and humidity shall be in range
    [Setup]  Init_DHT11  ${PIN}
    Temperature shall be in range  ${18}  ${30}
    Humidity shall be in range  ${0}  ${80}
    
        
*** Keywords ***
Temperature shall be in range
    [Arguments]  ${min}  ${max}
    Log  \nVerify that read temperature is between ${min} and ${max}  console=True
    ${data}=  dht11 shall return sensor data
    Log  Temperature: ${data.temperature}  console=True
    Run_Keyword_If  ${min} > ${data.temperature} > ${max}  FAIL  msg='DHT11 returned temperature outside range'
    