*** Settings ***
Documentation    LCD tests in standard, keyword driven format
Library  ../LCDTestLibrary.py

Test Teardown  Clear screen


*** Test Cases ***
Text should be displayed on LCD screen
    [Tags]  LCD
    display message  Hello   line=1
    display message  World!  line=2
    Ask user  Is the message 'Hello World!' displayed on two lines?[y/n]   y

Cleaning screen should remove the text from both lines
    [Tags]  LCD
    display message  Hello World   line=1
    display message  Robot Framework  line=2
    Ask user  Is there any text displayed on the display?[y/n]   y
    Clear screen
    Ask user  Is there any text displayed on the display?[y/n]   n

Attempt to display text longer than 16 characters should be displayed on two lines
    [Tags]  LCD
    display message  Hello, oh my precioussssss!
    Ask user   Is the message displayed on two lines?[y/n]   y

Attempt to display text longer than 32 characters should fail
    [Tags]  LCD
    display message  Hello, my precioussssss, wonderful world!
    Ask user  Is there any text displayed on the display?[y/n]   n

Attempt to display text longer than 16 characters from the second line should fail
    [Tags]  LCD
    display message  Hello, my precioussssss, wonderful world!  line=2
    Ask user  Is there any text displayed on the display?[y/n]   n

*** Keywords ***
Ask user
    [Arguments]  ${question}  ${correct_answer}
    log  \n${question}  console=True
    ${answer}=  user verification
    should be equal as strings  ${correct_answer}  ${answer}




